Subject: Re: I have end-of-lifed cvsps

From: Jakub Narębski <[email-masked]>
Date: Tue, 17 Dec 2013 11:57:03 +0100

Martin Langhoff wrote:

> On Wed, Dec 11, 2013 at 11:26 PM, Eric S. Raymond<[email-masked]>  wrote:
>> You'll have to remind me what you mean by "incremental" here. Possibly
>> it's something cvs-fast-export could support.
>
> User can
>
>   - run a cvs to git import at time T, resulting in repo G
>   - make commits to cvs repo
>   - run cvs to git import at time T1, pointed to G, and the import tool
 >
> will only add the new commits found in cvs between T and T1.

I wonder if we can add support for incremental import once, for all
VCS supporting fast-export, in one place, namely at the remote-helper.

I don't know details, so I don't know if it is possible; certainly
unstable fast-export output would be a problem, unless some tricks
are used (like remembering mappings between versions).

-- 
Jakub Narębski